/*********************************************************************
 * $Id: main.H,v 1.9 1998/06/10 08:53:51 tjko Exp $
 *
 * Copyright (c) 1998  Timo Kokkonen <tjko@iki.fi>
 *
 *
 * This file may be copied under the terms and conditions 
 * of the GNU General Public License, as published by the Free
 * Software Foundation (Cambridge, Massachusetts).
 */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <FL/Fl.H>
//#include <FL/Fl_Poll.H>
#include <FL/Fl_Pixmap.H>
#include <FL/Fl_Menu_Button.H>
#include <FL/fl_ask.H>

#include "config.h"
#include "S_Socket.H"
#include "S_Llist.H"
#include "jyudesk.H"

class Alarm_i:public S_Item {
public:
  Alarm_i() { msg=NULL; save=h=m=day=month=weekday=status=0;  };
  Alarm_i(const Alarm_i *other);
  ~Alarm_i() { delete msg; };
  
  S_Item *duplicate() const { return new Alarm_i(this); };

  int  h,m;
  int  day,month;
  int  weekday;
  int  save; 
  int  status;
  char *msg;

};


extern char *conf_file;
extern char *mailbox_file;
extern char *alarm_file;



Fl_Pixmap *get_bitmap(int i);
void temperature_update(void *v);
void load_config(char *pname);
void config_show_cb(Fl_Object *obj, void *v);
void quit_cb(Fl_Object*, void*);
void about_cb(Fl_Object*, void*);
void show_phone_panel_cb(Fl_Button*, void*);
void alarm_check(void *);
void alarm_cb(Fl_Button *, void *);
void show_alarm_message(Alarm_i *i);
int load_alarms(char *fname);
int save_alarms(char *fname);
void pop3_check();
void mailbox_check(void *);
void raise_flag(int i);

char *ask_passwd();


void show_info(char *format, ...);
